com.genesyslab.wfm8.API.service.config812

## Class CfgTimezoneHelper

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config812.CfgTimezoneHelper

-     public final class CfgTimezoneHelper
      extends java.lang.Object

  Timezone helper methods

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `CfgTimezoneHelper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OleDateTime` | `GMT2LocalTime(OleDateTime gmtTime, CfgTimezone timezone)` Converts given date/time in GMT time zone to date/time in specified time zone.
    `static OleDateTime` | `LocalTime2GMT(CfgTimezone timezone, OleDateTime localTime)` Converts given date/time in specified time zone to date/time in GMT time zone.
    `static OleDateTime` | `LocalTime2LocalTime(CfgTimezone timezone1, OleDateTime localTime1, CfgTimezone timezone2)` Converts given date/time from one time zone to another time zone.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CfgTimezoneHelper

          private CfgTimezoneHelper()

  - ### Method Detail

    - #### GMT2LocalTime

          public static OleDateTime GMT2LocalTime(OleDateTime gmtTime,
                                  CfgTimezone timezone)

      Converts given date/time in GMT time zone to date/time in specified time zone. If time zone is not specified then local time zone is assumed.
      Parameters:
        `gmtTime` - Date/time in GMT time zone `OleDateTime`
        `timezone` - Target time zone (can be null) `CfgTimezone`
      Returns:
        Converted date/time `OleDateTime`

    - #### LocalTime2GMT

          public static OleDateTime LocalTime2GMT(CfgTimezone timezone,
                                  OleDateTime localTime)

      Converts given date/time in specified time zone to date/time in GMT time zone. If time zone is not specified then local time zone is assumed.
      Parameters:
        `timezone` - Given time zone (can be null) `CfgTimezone`
        `localTime` - Date/time in given time zone
      Returns:
        Date/time in GMT time zone `OleDateTime`

    - #### LocalTime2LocalTime

          public static OleDateTime LocalTime2LocalTime(CfgTimezone timezone1,
                                        OleDateTime localTime1,
                                        CfgTimezone timezone2)

      Converts given date/time from one time zone to another time zone. If time zone is not specified then local time zone is assumed.
      Parameters:
        `timezone1` - Source time zone (can be null) `CfgTimezone`
        `localTime1` - Source date/time `OleDateTime`
        `timezone2` - Target time zone `CfgTimezone`
      Returns:
        Date/time in target time zone `OleDateTime`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.